import { __decorate } from 'tslib';
import { Component, Injectable, NgModule } from '@angular/core';
import { BsModalRef, BsModalService, ModalModule } from 'ngx-bootstrap/modal';

let NgxBootstrapConfirmComponent = class NgxBootstrapConfirmComponent {
    constructor(bsModalRef) {
        this.bsModalRef = bsModalRef;
    }
    confirm() {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback('yes');
            this.bsModalRef.hide();
        }
    }
    decline() {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback('no');
            this.bsModalRef.hide();
        }
    }
};
NgxBootstrapConfirmComponent.ctorParameters = () => [
    { type: BsModalRef }
];
NgxBootstrapConfirmComponent = __decorate([
    Component({
        selector: 'lib-ngx-bootstrap-confirm',
        template: `
  <div class="confirm modal-body">
      <div class="content">{{prompt}}</div>
      <div class="buttons">
          <button type="button" class="btn btn-primary" (click)="confirm()">Okay</button>
          <button type="button" class="btn btn-secondry" (click)="decline()">Cancel</button>
      </div>
  </div>
  `,
        styles: [`.modal-dialog {
    width: 360px !important;
    margin-top: 120px;
    .confirm {
      box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
      border-radius: 5px;
      height: 170px;
      .content {
        padding: 20px;
        border-radius: 10px;
        background-color: #fff !important;
        font-weight: 700;
      }
      .buttons {
        padding: 10px 15px;
        float: right;
        button {
          margin-right: 10px;
        }
      }
    }
  }
  `]
    })
], NgxBootstrapConfirmComponent);

let NgxBootstrapConfirmService = class NgxBootstrapConfirmService {
    constructor(modalService) {
        this.modalService = modalService;
    }
    confirm(title) {
        new Promise((resolve, reject) => {
            this.modalRef = this.modalService.show(NgxBootstrapConfirmComponent, {
                initialState: {
                    prompt: title,
                    callback: (result) => {
                        if (result == 'yes') {
                            resolve(true);
                        }
                        else {
                            reject(false);
                        }
                    },
                },
            });
        });
    }
};
NgxBootstrapConfirmService.ctorParameters = () => [
    { type: BsModalService }
];
NgxBootstrapConfirmService = __decorate([
    Injectable()
], NgxBootstrapConfirmService);

let NgxBootstrapConfirmModule = class NgxBootstrapConfirmModule {
};
NgxBootstrapConfirmModule = __decorate([
    NgModule({
        declarations: [NgxBootstrapConfirmComponent],
        imports: [ModalModule.forRoot()],
        exports: [NgxBootstrapConfirmComponent],
        providers: [NgxBootstrapConfirmService],
    })
], NgxBootstrapConfirmModule);

/*
 * Public API Surface of ngx-bootstrap-confirm
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxBootstrapConfirmComponent, NgxBootstrapConfirmModule, NgxBootstrapConfirmService };
//# sourceMappingURL=ngx-bootstrap-confirm.js.map
