import { __decorate } from 'tslib';
import { Component, Injectable, NgModule } from '@angular/core';
import { BsModalRef, BsModalService, ModalModule } from 'ngx-bootstrap/modal';

var NgxBootstrapConfirmComponent = /** @class */ (function () {
    function NgxBootstrapConfirmComponent(bsModalRef) {
        this.bsModalRef = bsModalRef;
    }
    NgxBootstrapConfirmComponent.prototype.confirm = function () {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback('yes');
            this.bsModalRef.hide();
        }
    };
    NgxBootstrapConfirmComponent.prototype.decline = function () {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback('no');
            this.bsModalRef.hide();
        }
    };
    NgxBootstrapConfirmComponent.ctorParameters = function () { return [
        { type: BsModalRef }
    ]; };
    NgxBootstrapConfirmComponent = __decorate([
        Component({
            selector: 'lib-ngx-bootstrap-confirm',
            template: "\n  <div class=\"confirm modal-body\">\n      <div class=\"content\">{{prompt}}</div>\n      <div class=\"buttons\">\n          <button type=\"button\" class=\"btn btn-primary\" (click)=\"confirm()\">Okay</button>\n          <button type=\"button\" class=\"btn btn-secondry\" (click)=\"decline()\">Cancel</button>\n      </div>\n  </div>\n  ",
            styles: [".modal-dialog {\n    width: 360px !important;\n    margin-top: 120px;\n    .confirm {\n      box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);\n      border-radius: 5px;\n      height: 170px;\n      .content {\n        padding: 20px;\n        border-radius: 10px;\n        background-color: #fff !important;\n        font-weight: 700;\n      }\n      .buttons {\n        padding: 10px 15px;\n        float: right;\n        button {\n          margin-right: 10px;\n        }\n      }\n    }\n  }\n  "]
        })
    ], NgxBootstrapConfirmComponent);
    return NgxBootstrapConfirmComponent;
}());

var NgxBootstrapConfirmService = /** @class */ (function () {
    function NgxBootstrapConfirmService(modalService) {
        this.modalService = modalService;
    }
    NgxBootstrapConfirmService.prototype.confirm = function (title) {
        var _this = this;
        new Promise(function (resolve, reject) {
            _this.modalRef = _this.modalService.show(NgxBootstrapConfirmComponent, {
                initialState: {
                    prompt: title,
                    callback: function (result) {
                        if (result == 'yes') {
                            resolve(true);
                        }
                        else {
                            reject(false);
                        }
                    },
                },
            });
        });
    };
    NgxBootstrapConfirmService.ctorParameters = function () { return [
        { type: BsModalService }
    ]; };
    NgxBootstrapConfirmService = __decorate([
        Injectable()
    ], NgxBootstrapConfirmService);
    return NgxBootstrapConfirmService;
}());

var NgxBootstrapConfirmModule = /** @class */ (function () {
    function NgxBootstrapConfirmModule() {
    }
    NgxBootstrapConfirmModule = __decorate([
        NgModule({
            declarations: [NgxBootstrapConfirmComponent],
            imports: [ModalModule.forRoot()],
            exports: [NgxBootstrapConfirmComponent],
            providers: [NgxBootstrapConfirmService],
        })
    ], NgxBootstrapConfirmModule);
    return NgxBootstrapConfirmModule;
}());

/*
 * Public API Surface of ngx-bootstrap-confirm
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxBootstrapConfirmComponent, NgxBootstrapConfirmModule, NgxBootstrapConfirmService };
//# sourceMappingURL=ngx-bootstrap-confirm.js.map
